package com.brilliance.isc.bo.lg;

import com.brilliance.isc.bo.Spt;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.bo.model.Gcdgrp;
import com.brilliance.isc.bo.model.Gidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class PitameStoreBo extends BaseTransactionVo {
    private Gidgrp gidgrp;

    private Gidgrp oldgidgrp;

    //与前端模型保持一致
    private GitamepBo gitamep;

    //与前端模型保持一致
    private SwiaddVo swiadd;

    //前端修改的字段
    private GitameInfoBo litameInfo;

    private Spt spt;

    private Gcdgrp gcdgrp;

    @Override
    public void reset() {
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        //gidgrp.reset();
        if (oldgidgrp == null) {
            oldgidgrp = new Gidgrp();
        }
        //oldgidgrp.reset();
        if (gitamep == null) {
            gitamep = new GitamepBo();
        }
        gitamep.reset();
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
        if (spt == null) {
            spt = new Spt();
        }
        if (litameInfo == null) {
            litameInfo = new GitameInfoBo();
        }
        litameInfo.reset();
    }
}
